=== modified file 'mysys/mf_pack.c'
--- mysys/mf_pack.c	2008-07-14 15:49:38 +0000
+++ mysys/mf_pack.c	2008-07-17 21:23:43 +0000
@@ -37,7 +37,6 @@
   size_t d_length,length,buff_length= 0;
   char * start;
   char buff[FN_REFLEN];
-  DBUG_ENTER("pack_dirname");
 
   (void) intern_filename(to,from);		/* Change to intern name */
 
@@ -101,8 +100,7 @@
       }
     }
   }
-  DBUG_PRINT("exit",("to: '%s'",to));
-  DBUG_VOID_RETURN;
+  return;
 } /* pack_dirname */
 
 
@@ -137,8 +135,6 @@
 #ifdef BACKSLASH_MBTAIL
   CHARSET_INFO *fs= fs_character_set();
 #endif
-  DBUG_ENTER("cleanup_dirname");
-  DBUG_PRINT("enter",("from: '%s'",from));
 
   start=buff;
   from_ptr=(char *) from;
@@ -227,8 +223,7 @@
     }
   }
   (void) strmov(to,buff);
-  DBUG_PRINT("exit",("to: '%s'",to));
-  DBUG_RETURN((size_t) (pos-buff));
+  return((size_t) (pos-buff));
 } /* cleanup_dirname */
 
 
@@ -300,7 +295,6 @@
 {
   size_t length, h_length;
   char buff[FN_REFLEN+1+4],*suffix,*tilde_expansion;
-  DBUG_ENTER("unpack_dirname");
 
   (void) intern_filename(buff,from);	    /* Change to intern name */
   length= strlen(buff);                     /* Fix that '/' is last */
@@ -337,7 +331,7 @@
   if (my_use_symdir)
     symdirget(buff);
 #endif
-  DBUG_RETURN(system_filename(to,buff));	/* Fix for open */
+  return(system_filename(to,buff));	/* Fix for open */
 } /* unpack_dirname */
 
 
@@ -391,7 +385,6 @@
 {
   size_t length, n_length, buff_length;
   char buff[FN_REFLEN];
-  DBUG_ENTER("unpack_filename");
 
   length=dirname_part(buff, from, &buff_length);/* copy & convert dirname */
   n_length=unpack_dirname(buff,buff);
@@ -402,7 +395,7 @@
   }
   else
     length= system_filename(to,from);		/* Fix to usably filename */
-  DBUG_RETURN(length);
+  return(length);
 } /* unpack_filename */
 
 
@@ -427,7 +420,6 @@
   size_t length;
   char * to_pos,from_pos,pos;
   char buff[FN_REFLEN];
-  DBUG_ENTER("system_filename");
 
   libchar_found=0;
   (void) strmov(buff,from);			 /* If to == from */
@@ -472,8 +464,7 @@
     *(to_pos++)=FN_C_AFTER_DIR;
   }
   length= (size_t) (strmov(to_pos,from_pos)-to);
-  DBUG_PRINT("exit",("name: '%s'",to));
-  DBUG_RETURN(length);
+  return(length);
 #endif
 } /* system_filename */
 

=== modified file 'mysys/mf_same.c'
--- mysys/mf_same.c	2008-06-25 05:29:13 +0000
+++ mysys/mf_same.c	2008-07-17 21:23:43 +0000
@@ -30,11 +30,9 @@
   char dev[FN_REFLEN];
   const char *ext;
   size_t dev_length;
-  DBUG_ENTER("fn_same");
-  DBUG_PRINT("enter",("to: %s  name: %s  flag: %d",to,name,flag));
 
   if ((ext=strrchr(name+dirname_part(dev, name, &dev_length),FN_EXTCHAR)) == 0)
     ext="";
 
-  DBUG_RETURN(fn_format(to,to,dev,ext,flag));
+  return(fn_format(to,to,dev,ext,flag));
 } /* fn_same */

=== modified file 'mysys/mf_tempfile.c'
--- mysys/mf_tempfile.c	2008-06-25 05:29:13 +0000
+++ mysys/mf_tempfile.c	2008-07-17 21:23:43 +0000
@@ -60,8 +60,6 @@
 {
   File file= -1;
 
-  DBUG_ENTER("create_temp_file");
-  DBUG_PRINT("enter", ("dir: %s, prefix: %s", dir, prefix));
 #if defined(_ZTC__)
   if (!dir)
     dir=getenv("TMPDIR");
@@ -86,7 +84,7 @@
     if (strlen(dir)+ pfx_len > FN_REFLEN-2)
     {
       errno=my_errno= ENAMETOOLONG;
-      DBUG_RETURN(file);
+      return(file);
     }
     strmov(convert_dirname(to,dir,NullS),prefix_buff);
     org_file=mkstemp(to);
@@ -128,10 +126,6 @@
 		     MYF(MY_WME));
 
     }
-    else
-    {
-      DBUG_PRINT("error",("Got error: %d from tempnam",errno));
-    }
     environ=(const char**) old_env;
   }
 #else
@@ -139,5 +133,5 @@
 #endif
   if (file >= 0)
     thread_safe_increment(my_tmp_file_created,&THR_LOCK_open);
-  DBUG_RETURN(file);
+  return(file);
 }

=== modified file 'mysys/mf_wcomp.c'
--- mysys/mf_wcomp.c	2008-07-14 04:46:28 +0000
+++ mysys/mf_wcomp.c	2008-07-17 21:23:43 +0000
@@ -28,7 +28,6 @@
                  bool str_is_pattern)
 {
   char cmp;
-  DBUG_ENTER("wild_compare");
 
   while (*wildstr)
   {
@@ -38,17 +37,17 @@
       {
 	wildstr++;
         if (str_is_pattern && *str++ != wild_prefix)
-          DBUG_RETURN(1);
+          return(1);
       }
       if (*wildstr++ != *str++)
-        DBUG_RETURN(1);
+        return(1);
     }
     if (! *wildstr )
-      DBUG_RETURN(*str != 0);
+      return(*str != 0);
     if (*wildstr++ == wild_one)
     {
       if (! *str || (str_is_pattern && *str == wild_many))
-        DBUG_RETURN(1);                     /* One char; skip */
+        return(1);                     /* One char; skip */
       if (*str++ == wild_prefix && str_is_pattern && *str)
         str++;
     }
@@ -67,10 +66,10 @@
           if (str_is_pattern && *str == wild_prefix && str[1])
             str+=2;
           else if (! *str++)
-            DBUG_RETURN (1);
+            return (1);
         }
       if (!*wildstr)
-        DBUG_RETURN(0);		/* '*' as last char: OK */
+        return(0);		/* '*' as last char: OK */
       if ((cmp= *wildstr) == wild_prefix && wildstr[1] && !str_is_pattern)
         cmp=wildstr[1];
       for (;;str++)
@@ -78,12 +77,12 @@
         while (*str && *str != cmp)
           str++;
         if (!*str)
-          DBUG_RETURN (1);
+          return (1);
 	if (wild_compare(str,wildstr,str_is_pattern) == 0)
-          DBUG_RETURN (0);
+          return (0);
       }
       /* We will never come here */
     }
   }
-  DBUG_RETURN (*str != 0);
+  return (*str != 0);
 } /* wild_compare */

=== modified file 'mysys/mulalloc.c'
--- mysys/mulalloc.c	2008-06-25 05:29:13 +0000
+++ mysys/mulalloc.c	2008-07-17 21:23:43 +0000
@@ -36,7 +36,6 @@
   va_list args;
   char **ptr,*start,*res;
   size_t tot_length,length;
-  DBUG_ENTER("my_multi_malloc");
 
   va_start(args,myFlags);
   tot_length=0;
@@ -48,7 +47,7 @@
   va_end(args);
 
   if (!(start=(char *) my_malloc(tot_length,myFlags)))
-    DBUG_RETURN(0); /* purecov: inspected */
+    return(0); /* purecov: inspected */
 
   va_start(args,myFlags);
   res=start;
@@ -59,5 +58,5 @@
     res+=ALIGN_SIZE(length);
   }
   va_end(args);
-  DBUG_RETURN((void*) start);
+  return((void*) start);
 }

